Breadcrumb NavXT Line 53 Error

If you are receiving an error similar to the following while activating Breadcrumb NavXT, please continue reading.

Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /wp-content/plugins/breadcrumb-navxt/breadcrumb_navxt_admin.php on line 53

This should be only caused by PHP4. The line of code PHP is failing on is protected $version = '3.5.1';. Specifically, it is the protected part that PHP4 does not know about, and subsequently chokes on. Some users have claimed to receive this in a PHP5 environment. If you receive this error, please insert

<?php
if (current_user_can('administrator')){
    phpinfo();
}
?>

somewhere in your footer. Then, open up a page on your site and look in the output from phpinfo for your PHP version. If the version is not PHP5.2 or newer, please inquire with your webhost on how to migrate to a modern PHP installation. If the output states you have a version of PHP that is 5.2 or newer, please copy the output and e-mail it to me (full output). Feel free to provide an abridged output in the comments section of this page.

-John Havlik

[end of transmission, stay tuned]

4 thoughts on “Breadcrumb NavXT Line 53 Error

    • Your response is not helpful in the least bit. Not only do you resort to inflammatory language, including in your “email” address, you did not follow the instructions in this post. I can’t help you if you are unwilling to cooperate.

      Also, there are ways of deleting plugins other than through the dashboard. FTP into your site, and delete the Breadcrumb NavXT folder to uninstall if you can’t through the WordPress dashboard. There is absolutely no need to make disparaging remarks against myself or the plugin in public or elsewhere.

      -John Havlik

  1. When installing the plug-in I receive the following error:

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /home/vg008web08/14/77/2917714/web/test/wp-content/plugins/breadcrumb-navxt/breadcrumb_navxt_admin.php on line 51

    I have entered the added code into the footer and the error is still occurring.

    • Laura,

      The code in this post won’t fix the issue in itself, but allows you to see what version of PHP is installed on your host. You need to disabled Breadcrumb NavXT when performing this test.

      -John Havlik

Leave a Reply

Your email address will not be published. Required fields are marked *